﻿Imports System.IO

Public Class dlgDateiTypAuswahl
    Public Enum FileType
        Order = 0
        Invoice = 1
        PriceList = 2
        StockList = 3
        Offer = 4
        Costs = 5
        Reclamation = 6
        Skip = 7
        Open = 8
    End Enum
    Public Property _FileType() As FileType
    Public Property _Fileinfo As FileInfo
    Public Property _NewFileName As String
    Public Property _DeleteOriginalFile As Boolean
    Public Property _DeleteFileCheckBoxChecked As Boolean
    Private Sub dlgDateiTypAuswahl_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        LBLDateiname.Text = _Fileinfo.Name
        CBXDateiLoeschen.Checked = _DeleteFileCheckBoxChecked
        ShowFileInWebView2()
    End Sub
    Private Sub ShowFileInWebView2()
        If PossibleToShowFileInWebView(_Fileinfo) Then Me.WebView2.Source = New Uri(_Fileinfo.FullName)
    End Sub
    Private Sub BTN_Click(sender As Object, e As EventArgs) Handles BTNRechnung.Click, BTNBestellung.Click, BTNReklamation.Click,
            BTNKosten.Click, BTNAngebot.Click, BTNStockliste.Click, BTNPreisliste.Click, BTNOeffnen.Click, BTNUeberspringen.Click,
            BTNNameAendern.Click
        Select Case True
            Case sender Is BTNRechnung : _FileType = FileType.Invoice
            Case sender Is BTNBestellung : _FileType = FileType.Order
            Case sender Is BTNReklamation : _FileType = FileType.Reclamation
            Case sender Is BTNKosten : _FileType = FileType.Costs
            Case sender Is BTNAngebot : _FileType = FileType.Offer
            Case sender Is BTNStockliste : _FileType = FileType.StockList
            Case sender Is BTNPreisliste : _FileType = FileType.PriceList
            Case sender Is BTNOeffnen : _FileType = FileType.Open
            Case sender Is BTNUeberspringen : _FileType = FileType.Skip
            Case sender Is BTNNameAendern : SetNewFilename() : Return
        End Select
        My.Settings.frmDateiAuswahlSize = Me.Size
        My.Settings.frmDateiAuswahlPosition = Me.Location
        If _NewFileName.IsEmpty Then _NewFileName = _Fileinfo.Name
        _DeleteOriginalFile = CBXDateiLoeschen.Checked
        Me.DialogResult = DialogResult.OK
    End Sub
    Private Sub SetNewFilename()
        Using NewFileName As New dlgneuerDateiname
            With NewFileName
                ._OldFileName = _Fileinfo.Name
                ._Extension = _Fileinfo.Extension
                If .ShowDialog(Me) = DialogResult.OK Then
                    _NewFileName = ._NewFileName
                    LBLDateiname.Text = _NewFileName
                End If
            End With
        End Using
    End Sub
End Class