﻿Public Class dlgKostenArtBearbeiten
    Private _OldCostName As String
    Private Sub dlgKostenArtBearbeiten_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim CreateNewCost = Me.BSKostenart.At(Of DtsDaten.KostenartRow).RowState = DataRowState.Detached
        If Not CreateNewCost Then _OldCostName = Me.BSKostenart.At(Of DtsDaten.KostenartRow).Name
    End Sub
    Private Sub BTNSave_Click(sender As Object, e As EventArgs) Handles BTNSave.Click
        ValidateUserInputAndSave()
    End Sub
    Private Sub ValidateUserInputAndSave()
        Dim Costname = TBName.Text
        If Costname.IsEmpty Then
            ShowAutoClosingMessageBox("Bitte einen Namen eingeben.")
            TBName.Focus()
            Return
        End If
        If _OldCostName <> Costname AndAlso DtsDaten.Kostenart.CostExists(Costname) Then
            ShowAutoClosingMessageBox($"Die Kostenart {Costname} existiert bereits")
            Return
        End If
        BSKostenart.At(Of DtsDaten.KostenartRow).Name = Costname
        Me.DialogResult = DialogResult.OK
    End Sub
    Private Sub dlgAdresseBearbeiten_KeyDown(sender As Object, e As KeyEventArgs) Handles MyBase.KeyDown
        Select Case e.KeyData
            Case = Keys.Enter Or Keys.Control
                ValidateUserInputAndSave()
            Case = Keys.Enter
                SendKeys.Send("{TAB}")
                e.SuppressKeyPress = True
        End Select
    End Sub
End Class