﻿Public Class dlgLieferantBearbeiten
    Private _OldSupplierName As String
    Private Sub dlgLieferantBearbeiten_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim CreateNewSupplier = Me.BSLieferant.At(Of DtsDaten.LieferantRow).RowState = DataRowState.Detached
        If Not CreateNewSupplier Then _OldSupplierName = Me.BSLieferant.At(Of DtsDaten.LieferantRow).Name
    End Sub
    Private Sub BTNSave_Click(sender As Object, e As EventArgs) Handles BTNSave.Click
        ValidateUserInputAndSaveSupplier()
    End Sub
    Private Sub ValidateUserInputAndSaveSupplier()
        Dim SupplierName = TBName.Text
        If SupplierName.IsEmpty Then
            ShowAutoClosingMessageBox("Bitte einen Namen eingeben")
            Return
        End If
        If _OldSupplierName <> SupplierName AndAlso DtsDaten.Lieferant.SupplierExists(SupplierName) Then
            ShowAutoClosingMessageBox($"Der Lieferant {SupplierName} existiert bereits")
            Return
        End If
        BSLieferant.At(Of DtsDaten.LieferantRow).Name = SupplierName
        Me.DialogResult = DialogResult.OK
    End Sub
    Private Sub dlgLieferantenBearbeiten_KeyDown(sender As Object, e As KeyEventArgs) Handles MyBase.KeyDown
        Select Case e.KeyData
            Case = Keys.Enter Or Keys.Control
                ValidateUserInputAndSaveSupplier()
            Case = Keys.Enter
                SendKeys.Send("{TAB}")
                e.SuppressKeyPress = True
        End Select
    End Sub
End Class

