﻿Public Class dlgWarengruppeBearbeiten
    Private _OldProductGroupName As String
    Private Sub dlgWarengruppeBearbeiten_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim CreateNewWareGroup = Me.BSWarengruppe.At(Of DtsDaten.WarengruppeRow).RowState = DataRowState.Detached
        If Not CreateNewWareGroup Then _OldProductGroupName = Me.BSWarengruppe.At(Of DtsDaten.WarengruppeRow).Name
    End Sub
    Private Sub BTNSave_Click(sender As Object, e As EventArgs) Handles BTNSave.Click
        ValidateInputAndSaveProductGroup()
    End Sub
    Private Sub ValidateInputAndSaveProductGroup()
        Dim ProductGroupName = TBName.Text
        If ProductGroupName.IsEmpty Then
            ShowAutoClosingMessageBox("Bitte einen Namen eingeben.")
            TBName.Focus()
            Return
        End If
        If _OldProductGroupName <> ProductGroupName AndAlso DtsDaten.Warengruppe.ProductGroupExists(ProductGroupName) Then
            ShowAutoClosingMessageBox($"Die Warengruppe {ProductGroupName} existiert bereits")
            Return
        End If
        If NUDNummer.Value = 0 Then
            ShowAutoClosingMessageBox("Die Warengruppennummer darf nicht 0 sein")
            NUDNummer.Focus()
            Return
        End If
        BSWarengruppe.At(Of DtsDaten.WarengruppeRow).Name = ProductGroupName
        Me.DialogResult = DialogResult.OK
    End Sub
    Private Sub dlgWarengruppeBearbeiten_KeyDown(sender As Object, e As KeyEventArgs) Handles MyBase.KeyDown
        Select Case e.KeyData
            Case = Keys.Enter Or Keys.Control
                ValidateInputAndSaveProductGroup()
            Case = Keys.Enter
                SendKeys.Send("{TAB}")
                e.SuppressKeyPress = True
        End Select
    End Sub
End Class