﻿Public Class dlgKategorieBearbeiten
    Private _OldCategoryName As String
    Private Sub dlgWarengruppeBearbeiten_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Dim CreateNewCategory = Me.BSKategorie.At(Of DtsDaten.KategorieRow).RowState = DataRowState.Detached
        If Not CreateNewCategory Then _OldCategoryName = Me.BSKategorie.At(Of DtsDaten.KategorieRow).Name
    End Sub
    Private Sub BTNSave_Click(sender As Object, e As EventArgs) Handles BTNSave.Click
        ValidateInputAndSaveProductGroup()
    End Sub
    Private Sub ValidateInputAndSaveProductGroup()
        Dim CategoryName = TBName.Text
        If CategoryName.IsEmpty Then
            ShowAutoClosingMessageBox("Bitte einen Namen eingeben.")
            TBName.Focus()
            Return
        End If
        If _OldCategoryName <> CategoryName AndAlso DtsDaten.Kategorie.CategoryExists(CategoryName) Then
            ShowAutoClosingMessageBox($"Die Kategorie {CategoryName} existiert bereits")
            Return
        End If
        BSKategorie.At(Of DtsDaten.KategorieRow).Name = CategoryName
        Me.DialogResult = DialogResult.OK
    End Sub
    Private Sub dlgKategorieBearbeiten_KeyDown(sender As Object, e As KeyEventArgs) Handles MyBase.KeyDown
        Select Case e.KeyData
            Case = Keys.Enter Or Keys.Control
                ValidateInputAndSaveProductGroup()
            Case = Keys.Enter
                SendKeys.Send("{TAB}")
                e.SuppressKeyPress = True
        End Select
    End Sub
End Class