﻿Public Class dlgLoginDatenBearbeiten
    Private Sub dlgLoginDatenBearbeiten_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        SetFormWidthToHidePWSettings()
    End Sub
    Private Sub SetFormWidthToHidePWSettings()
        Me.Width = 760
    End Sub
    Private Sub SetFormWidthToShowPWSettings()
        Me.Width = 945
    End Sub
    Private Sub BTN_Click(sender As Object, e As EventArgs) Handles BTNSave.Click,
    BTNPasswortEinstellungen.Click, BTNPasswortGenerieren.Click, BTNPasswortEinstellungenSchliessen.Click
        Select Case True
            Case sender Is BTNSave : SavePassword()
            Case sender Is BTNPasswortEinstellungen : ShowPasswordSettings()
            Case sender Is BTNPasswortEinstellungenSchliessen : SetFormWidthToHidePWSettings()
            Case sender Is BTNPasswortGenerieren : GeneratePassword()
        End Select
    End Sub
    Private Sub SavePassword()
        Me.DialogResult = DialogResult.OK
    End Sub
    Private Sub ShowPasswordSettings()
        SetFormWidthToShowPWSettings()
    End Sub
    Private Sub GeneratePassword()
        TBPasswort.Text = GeneratePW(Byte.Parse(NUDPasswortLaenge.Value.ToString), CBZahlenimPW.Checked, CBKleinbuchstabenimPW.Checked, CBGrossBuchstabenimPW.Checked, CBSonderzeichenimPW.Checked)
        TBPasswort.Select()
        TBPasswort.SelectionStart = TBPasswort.Text.Length
    End Sub
    Private Function GeneratePW(ByVal length As Byte, ByVal numbers As Boolean,
                              ByVal lowerCases As Boolean, ByVal upperCases As Boolean,
                              ByVal specials As Boolean) As String

        If length = 0 OrElse (Not (numbers OrElse lowerCases OrElse upperCases OrElse specials)) Then Return ""

        Dim random As New Random, charset As String = "", password As String = ""
        If numbers Then charset &= "0123456789"
        If lowerCases Then charset &= "abcdefghijklmnopqrstuvwxyz"
        If upperCases Then charset &= "ABCDEFGHIJKLMNOPQRSTUVWXYZ"
        If specials Then charset &= "+-/*#,;.:-_^!()[]{}=?ß'äÄöÖüÜ<>@"

        For i As Byte = 1 To length
            password &= charset(random.Next(0, charset.Length))
        Next

        Return password
    End Function
    Private Sub dlgLoginDatenBearbeiten_KeyDown(sender As Object, e As KeyEventArgs) Handles MyBase.KeyDown
        Select Case e.KeyData
            Case = Keys.Enter Or Keys.Control
                SavePassword()
            Case = Keys.Enter
                SendKeys.Send("{TAB}")
                e.SuppressKeyPress = True
        End Select
    End Sub

End Class